## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname django-mailman3

Name:           python-%{srcname}
Version:        1.3.7
Release:        %autorelease
Summary:        Django library to help interaction with Mailman
License:        GPLv3+
URL:            https://gitlab.com/mailman/django-mailman3
Source0:        %{pypi_source %{srcname}}
Patch0:         %{srcname}-localdeps.patch

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%global _description %{expand:
This package contains libraries and templates for Django-based interfaces
interacting with Mailman.

To use this application, add django_mailman3 to the INSTALLED_APPS list in your
Django server’s settings file.}

%description %{_description}


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}

%description -n python%{python3_pkgversion}-%{srcname} %{_description}


%prep
%autosetup -p1 -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files django_mailman3


%check
# Tests want to be run locally
PYTHONPATH=.:${PYTHONPATH} %tox


%files -n  python%{python3_pkgversion}-%{srcname} -f %{pyproject_files}
%license COPYING.txt
%doc README.rst


%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.3.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Oct 06 2022 Tomas Hrcka <thrcka@redhat.com> 1.3.7-4
- Unretirement request: https://pagure.io/releng/issue/11072

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.3.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.3.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 08 2021 Michel Alexandre Salim <salimma@fedoraproject.org> 1.3.7-1
- Initial Fedora package
